karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arenee <aluc...@cleansparkinc.com>
Subject Re: Error Executing Command - Hadoop Bundle in Karaf
Date Fri, 23 May 2014 21:27:52 GMT
I had the problem of an older Xerces (2.9.1) bundle installed in Karaf. I
stopped that Xerces bundle and all still *appeared* to work in Karaf. I
figured there were no specific dependencies on that version (This may come
back to bite me in the butt in the future). Despite stopping this bundle, I
still encountered the
"org.apache.xerces.parsers.XIncludeAwareParserConfiguration" error.

I then removed the Xerces dependency within the Hadoop-Karaf 3.0.0-SNAPSHOT
bundle. ( I also had to export org.apache.hadoop.fs and
org.apache.hadoop.conf in order for the bundle dependent on Hadoop-Karaf
3.0.0-SNAPSHOT to work) 

I then installed the new Hadoop-Karaf "Arenee version" along with a separate
Xerces 2.11.0 bundle. I no longer get the Xerces error. I do get a
connection refused error but that's a different issue. 

Thanks to all for your help!








--
View this message in context: http://karaf.922171.n3.nabble.com/Error-Executing-Command-Hadoop-Bundle-in-Karaf-tp4033244p4033261.html
Sent from the Karaf - Dev mailing list archive at Nabble.com.

Mime
View raw message